Index: trunk/app/helpers/settings_helper.rb
===================================================================
--- trunk/app/helpers/settings_helper.rb	(revision 2274)
+++ trunk/app/helpers/settings_helper.rb	(revision 2275)
@@ -18,6 +18,7 @@
 module SettingsHelper
   def administration_settings_tabs
     tabs = [{:name => 'general', :partial => 'settings/general', :label => :label_general},
+            {:name => 'display', :partial => 'settings/display', :label => :label_display},
             {:name => 'authentication', :partial => 'settings/authentication', :label => :label_authentication},
             {:name => 'projects', :partial => 'settings/projects', :label => :label_project_plural},
             {:name => 'issues', :partial => 'settings/issues', :label => :label_issue_tracking},
Index: trunk/app/views/settings/_display.rhtml
===================================================================
--- trunk/app/views/settings/_display.rhtml	(nonexistent)
+++ trunk/app/views/settings/_display.rhtml	(revision 2275)
@@ -0,0 +1,24 @@
+<% form_tag({:action => 'edit', :tab => 'display'}) do %>
+
+<div class="box tabular settings">
+<p><label><%= l(:label_theme) %></label>
+<%= select_tag 'settings[ui_theme]', options_for_select( ([[l(:label_default), '']] + Redmine::Themes.themes.collect {|t| [t.name, t.id]}), Setting.ui_theme) %></p>
+
+<p><label><%= l(:setting_default_language) %></label>
+<%= select_tag 'settings[default_language]', options_for_select( lang_options_for_select(false), Setting.default_language) %></p>
+
+<p><label><%= l(:setting_date_format) %></label>
+<%= select_tag 'settings[date_format]', options_for_select( [[l(:label_language_based), '']] + Setting::DATE_FORMATS.collect {|f| [Date.today.strftime(f), f]}, Setting.date_format) %></p>
+
+<p><label><%= l(:setting_time_format) %></label>
+<%= select_tag 'settings[time_format]', options_for_select( [[l(:label_language_based), '']] + Setting::TIME_FORMATS.collect {|f| [Time.now.strftime(f), f]}, Setting.time_format) %></p>
+
+<p><label><%= l(:setting_user_format) %></label>
+<%= select_tag 'settings[user_format]', options_for_select( @options[:user_format], Setting.user_format.to_s ) %></p>
+
+<p><label><%= l(:setting_gravatar_enabled) %></label>
+<%= check_box_tag 'settings[gravatar_enabled]', 1, Setting.gravatar_enabled? %><%= hidden_field_tag 'settings[gravatar_enabled]', 0 %></p>
+</div>
+
+<%= submit_tag l(:button_save) %>
+<% end %>

Property changes on: trunk/app/views/settings/_display.rhtml
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Index: trunk/app/views/settings/_general.rhtml
===================================================================
--- trunk/app/views/settings/_general.rhtml	(revision 2274)
+++ trunk/app/views/settings/_general.rhtml	(revision 2275)
@@ -8,21 +8,6 @@
 <%= text_area_tag 'settings[welcome_text]', Setting.welcome_text, :cols => 60, :rows => 5, :class => 'wiki-edit' %></p>
 <%= wikitoolbar_for 'settings[welcome_text]' %>
 
-<p><label><%= l(:label_theme) %></label>
-<%= select_tag 'settings[ui_theme]', options_for_select( ([[l(:label_default), '']] + Redmine::Themes.themes.collect {|t| [t.name, t.id]}), Setting.ui_theme) %></p>
-
-<p><label><%= l(:setting_default_language) %></label>
-<%= select_tag 'settings[default_language]', options_for_select( lang_options_for_select(false), Setting.default_language) %></p>
-
-<p><label><%= l(:setting_date_format) %></label>
-<%= select_tag 'settings[date_format]', options_for_select( [[l(:label_language_based), '']] + Setting::DATE_FORMATS.collect {|f| [Date.today.strftime(f), f]}, Setting.date_format) %></p>
-
-<p><label><%= l(:setting_time_format) %></label>
-<%= select_tag 'settings[time_format]', options_for_select( [[l(:label_language_based), '']] + Setting::TIME_FORMATS.collect {|f| [Time.now.strftime(f), f]}, Setting.time_format) %></p>
-
-<p><label><%= l(:setting_user_format) %></label>
-<%= select_tag 'settings[user_format]', options_for_select( @options[:user_format], Setting.user_format.to_s ) %></p>
-
 <p><label><%= l(:setting_attachment_max_size) %></label>
 <%= text_field_tag 'settings[attachment_max_size]', Setting.attachment_max_size, :size => 6 %> KB</p>
 
@@ -50,9 +35,6 @@
 
 <p><label><%= l(:setting_diff_max_lines_displayed) %></label>
 <%= text_field_tag 'settings[diff_max_lines_displayed]', Setting.diff_max_lines_displayed, :size => 6 %></p>
-
-<p><label><%= l(:setting_gravatar_enabled) %></label>
-<%= check_box_tag 'settings[gravatar_enabled]', 1, Setting.gravatar_enabled? %><%= hidden_field_tag 'settings[gravatar_enabled]', 0 %></p>
 </div>
 
 <%= submit_tag l(:button_save) %>
Index: trunk/lang/bg.yml
===================================================================
--- trunk/lang/bg.yml	(revision 2274)
+++ trunk/lang/bg.yml	(revision 2275)
@@ -700,3 +700,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/ca.yml
===================================================================
--- trunk/lang/ca.yml	(revision 2274)
+++ trunk/lang/ca.yml	(revision 2275)
@@ -701,3 +701,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/cs.yml
===================================================================
--- trunk/lang/cs.yml	(revision 2274)
+++ trunk/lang/cs.yml	(revision 2275)
@@ -705,3 +705,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/da.yml
===================================================================
--- trunk/lang/da.yml	(revision 2274)
+++ trunk/lang/da.yml	(revision 2275)
@@ -701,3 +701,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/de.yml
===================================================================
--- trunk/lang/de.yml	(revision 2274)
+++ trunk/lang/de.yml	(revision 2275)
@@ -702,3 +702,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/en.yml
===================================================================
--- trunk/lang/en.yml	(revision 2274)
+++ trunk/lang/en.yml	(revision 2275)
@@ -584,6 +584,7 @@
 label_generate_key: Generate a key
 label_issue_watchers: Watchers
 label_example: Example
+label_display: Display
 
 button_login: Login
 button_submit: Submit
Index: trunk/lang/es.yml
===================================================================
--- trunk/lang/es.yml	(revision 2274)
+++ trunk/lang/es.yml	(revision 2275)
@@ -685,3 +685,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/fi.yml
===================================================================
--- trunk/lang/fi.yml	(revision 2274)
+++ trunk/lang/fi.yml	(revision 2275)
@@ -700,3 +700,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/fr.yml
===================================================================
--- trunk/lang/fr.yml	(revision 2274)
+++ trunk/lang/fr.yml	(revision 2275)
@@ -584,6 +584,7 @@
 label_generate_key: Générer une clé
 label_issue_watchers: Observateurs
 label_example: Exemple
+label_display: Affichage
 
 button_login: Connexion
 button_submit: Soumettre
Index: trunk/lang/he.yml
===================================================================
--- trunk/lang/he.yml	(revision 2274)
+++ trunk/lang/he.yml	(revision 2275)
@@ -700,3 +700,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/hu.yml
===================================================================
--- trunk/lang/hu.yml	(revision 2274)
+++ trunk/lang/hu.yml	(revision 2275)
@@ -701,3 +701,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/it.yml
===================================================================
--- trunk/lang/it.yml	(revision 2274)
+++ trunk/lang/it.yml	(revision 2275)
@@ -700,3 +700,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/ja.yml
===================================================================
--- trunk/lang/ja.yml	(revision 2274)
+++ trunk/lang/ja.yml	(revision 2275)
@@ -701,3 +701,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/ko.yml
===================================================================
--- trunk/lang/ko.yml	(revision 2274)
+++ trunk/lang/ko.yml	(revision 2275)
@@ -700,3 +700,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/lt.yml
===================================================================
--- trunk/lang/lt.yml	(revision 2274)
+++ trunk/lang/lt.yml	(revision 2275)
@@ -702,3 +702,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/nl.yml
===================================================================
--- trunk/lang/nl.yml	(revision 2274)
+++ trunk/lang/nl.yml	(revision 2275)
@@ -702,3 +702,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/no.yml
===================================================================
--- trunk/lang/no.yml	(revision 2274)
+++ trunk/lang/no.yml	(revision 2275)
@@ -701,3 +701,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/pl.yml
===================================================================
--- trunk/lang/pl.yml	(revision 2274)
+++ trunk/lang/pl.yml	(revision 2275)
@@ -719,3 +719,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/pt-br.yml
===================================================================
--- trunk/lang/pt-br.yml	(revision 2274)
+++ trunk/lang/pt-br.yml	(revision 2275)
@@ -701,3 +701,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/pt.yml
===================================================================
--- trunk/lang/pt.yml	(revision 2274)
+++ trunk/lang/pt.yml	(revision 2275)
@@ -702,3 +702,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/ro.yml
===================================================================
--- trunk/lang/ro.yml	(revision 2274)
+++ trunk/lang/ro.yml	(revision 2275)
@@ -700,3 +700,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/ru.yml
===================================================================
--- trunk/lang/ru.yml	(revision 2274)
+++ trunk/lang/ru.yml	(revision 2275)
@@ -734,3 +734,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/sk.yml
===================================================================
--- trunk/lang/sk.yml	(revision 2274)
+++ trunk/lang/sk.yml	(revision 2275)
@@ -706,3 +706,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/sr.yml
===================================================================
--- trunk/lang/sr.yml	(revision 2274)
+++ trunk/lang/sr.yml	(revision 2275)
@@ -701,3 +701,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/sv.yml
===================================================================
--- trunk/lang/sv.yml	(revision 2274)
+++ trunk/lang/sv.yml	(revision 2275)
@@ -701,3 +701,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/th.yml
===================================================================
--- trunk/lang/th.yml	(revision 2274)
+++ trunk/lang/th.yml	(revision 2275)
@@ -703,3 +703,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/tr.yml
===================================================================
--- trunk/lang/tr.yml	(revision 2274)
+++ trunk/lang/tr.yml	(revision 2275)
@@ -701,3 +701,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/uk.yml
===================================================================
--- trunk/lang/uk.yml	(revision 2274)
+++ trunk/lang/uk.yml	(revision 2275)
@@ -702,3 +702,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/vn.yml
===================================================================
--- trunk/lang/vn.yml	(revision 2274)
+++ trunk/lang/vn.yml	(revision 2275)
@@ -703,3 +703,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/zh-tw.yml
===================================================================
--- trunk/lang/zh-tw.yml	(revision 2274)
+++ trunk/lang/zh-tw.yml	(revision 2275)
@@ -702,3 +702,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display
Index: trunk/lang/zh.yml
===================================================================
--- trunk/lang/zh.yml	(revision 2274)
+++ trunk/lang/zh.yml	(revision 2275)
@@ -702,3 +702,4 @@
 warning_attachments_not_saved: "%d file(s) could not be saved."
 button_create_and_continue: Create and continue
 text_custom_field_possible_values_info: 'One line for each value'
+label_display: Display