Index: sandbox/rails-2.2/app/models/custom_field.rb
===================================================================
--- sandbox/rails-2.2/app/models/custom_field.rb	(revision 2394)
+++ sandbox/rails-2.2/app/models/custom_field.rb	(revision 2395)
@@ -48,14 +48,14 @@
   
   def validate
     if self.field_format == "list"
-      errors.add(:possible_values, :activerecord_error_blank) if self.possible_values.nil? || self.possible_values.empty?
-      errors.add(:possible_values, :activerecord_error_invalid) unless self.possible_values.is_a? Array
+      errors.add(:possible_values, :blank) if self.possible_values.nil? || self.possible_values.empty?
+      errors.add(:possible_values, :invalid) unless self.possible_values.is_a? Array
     end
     
     # validate default value
     v = CustomValue.new(:custom_field => self.clone, :value => default_value, :customized => nil)
     v.custom_field.is_required = false
-    errors.add(:default_value, :activerecord_error_invalid) unless v.valid?
+    errors.add(:default_value, :invalid) unless v.valid?
   end
   
   # Makes possible_values accept a multiline string
Index: sandbox/rails-2.2/app/models/custom_value.rb
===================================================================
--- sandbox/rails-2.2/app/models/custom_value.rb	(revision 2394)
+++ sandbox/rails-2.2/app/models/custom_value.rb	(revision 2395)
@@ -45,22 +45,22 @@
 protected
   def validate
     if value.blank?
-      errors.add(:value, :activerecord_error_blank) if custom_field.is_required? and value.blank?    
+      errors.add(:value, :blank) if custom_field.is_required? and value.blank?    
     else
-      errors.add(:value, :activerecord_error_invalid) unless custom_field.regexp.blank? or value =~ Regexp.new(custom_field.regexp)
-      errors.add(:value, :activerecord_error_too_short) if custom_field.min_length > 0 and value.length < custom_field.min_length
-      errors.add(:value, :activerecord_error_too_long) if custom_field.max_length > 0 and value.length > custom_field.max_length
+      errors.add(:value, :invalid) unless custom_field.regexp.blank? or value =~ Regexp.new(custom_field.regexp)
+      errors.add(:value, :too_short) if custom_field.min_length > 0 and value.length < custom_field.min_length
+      errors.add(:value, :too_long) if custom_field.max_length > 0 and value.length > custom_field.max_length
     
       # Format specific validations
       case custom_field.field_format
       when 'int'
-        errors.add(:value, :activerecord_error_not_a_number) unless value =~ /^[+-]?\d+$/	
+        errors.add(:value, :not_a_number) unless value =~ /^[+-]?\d+$/	
       when 'float'
-        begin; Kernel.Float(value); rescue; errors.add(:value, :activerecord_error_invalid) end
+        begin; Kernel.Float(value); rescue; errors.add(:value, :invalid) end
       when 'date'
-        errors.add(:value, :activerecord_error_not_a_date) unless value =~ /^\d{4}-\d{2}-\d{2}$/
+        errors.add(:value, :not_a_date) unless value =~ /^\d{4}-\d{2}-\d{2}$/
       when 'list'
-        errors.add(:value, :activerecord_error_inclusion) unless custom_field.possible_values.include?(value)
+        errors.add(:value, :inclusion) unless custom_field.possible_values.include?(value)
       end
     end
   end
Index: sandbox/rails-2.2/app/models/issue.rb
===================================================================
--- sandbox/rails-2.2/app/models/issue.rb	(revision 2394)
+++ sandbox/rails-2.2/app/models/issue.rb	(revision 2395)
@@ -129,20 +129,20 @@
   
   def validate
     if self.due_date.nil? && @attributes['due_date'] && !@attributes['due_date'].empty?
-      errors.add :due_date, :activerecord_error_not_a_date
+      errors.add :due_date, :not_a_date
     end
     
     if self.due_date and self.start_date and self.due_date < self.start_date
-      errors.add :due_date, :activerecord_error_greater_than_start_date
+      errors.add :due_date, :greater_than_start_date
     end
     
     if start_date && soonest_start && start_date < soonest_start
-      errors.add :start_date, :activerecord_error_invalid
+      errors.add :start_date, :invalid
     end
   end
   
   def validate_on_create
-    errors.add :tracker_id, :activerecord_error_invalid unless project.trackers.include?(tracker)
+    errors.add :tracker_id, :invalid unless project.trackers.include?(tracker)
   end
   
   def before_create
Index: sandbox/rails-2.2/app/models/issue_relation.rb
===================================================================
--- sandbox/rails-2.2/app/models/issue_relation.rb	(revision 2394)
+++ sandbox/rails-2.2/app/models/issue_relation.rb	(revision 2395)
@@ -39,9 +39,9 @@
   
   def validate
     if issue_from && issue_to
-      errors.add :issue_to_id, :activerecord_error_invalid if issue_from_id == issue_to_id
-      errors.add :issue_to_id, :activerecord_error_not_same_project unless issue_from.project_id == issue_to.project_id || Setting.cross_project_issue_relations?
-      errors.add_to_base :activerecord_error_circular_dependency if issue_to.all_dependent_issues.include? issue_from
+      errors.add :issue_to_id, :invalid if issue_from_id == issue_to_id
+      errors.add :issue_to_id, :not_same_project unless issue_from.project_id == issue_to.project_id || Setting.cross_project_issue_relations?
+      errors.add_to_base :circular_dependency if issue_to.all_dependent_issues.include? issue_from
     end
   end
   
Index: sandbox/rails-2.2/app/models/member.rb
===================================================================
--- sandbox/rails-2.2/app/models/member.rb	(revision 2394)
+++ sandbox/rails-2.2/app/models/member.rb	(revision 2395)
@@ -24,7 +24,7 @@
   validates_uniqueness_of :user_id, :scope => :project_id
 
   def validate
-    errors.add :role_id, :activerecord_error_invalid if role && !role.member?
+    errors.add :role_id, :invalid if role && !role.member?
   end
   
   def name
Index: sandbox/rails-2.2/app/models/project.rb
===================================================================
--- sandbox/rails-2.2/app/models/project.rb	(revision 2394)
+++ sandbox/rails-2.2/app/models/project.rb	(revision 2395)
@@ -302,7 +302,7 @@
 
 protected
   def validate
-    errors.add(:identifier, :activerecord_error_invalid) if !identifier.blank? && identifier.match(/^\d*$/)
+    errors.add(:identifier, :invalid) if !identifier.blank? && identifier.match(/^\d*$/)
   end
   
 private
Index: sandbox/rails-2.2/app/models/query.rb
===================================================================
--- sandbox/rails-2.2/app/models/query.rb	(revision 2394)
+++ sandbox/rails-2.2/app/models/query.rb	(revision 2395)
@@ -123,7 +123,7 @@
   
   def validate
     filters.each_key do |field|
-      errors.add label_for(field), :activerecord_error_blank unless 
+      errors.add label_for(field), :blank unless 
           # filter requires one or more values
           (values_for(field) and !values_for(field).first.blank?) or 
           # filter doesn't require any value
Index: sandbox/rails-2.2/app/models/time_entry.rb
===================================================================
--- sandbox/rails-2.2/app/models/time_entry.rb	(revision 2394)
+++ sandbox/rails-2.2/app/models/time_entry.rb	(revision 2395)
@@ -32,7 +32,7 @@
                 :description => :comments
   
   validates_presence_of :user_id, :activity_id, :project_id, :hours, :spent_on
-  validates_numericality_of :hours, :allow_nil => true, :message => :activerecord_error_invalid
+  validates_numericality_of :hours, :allow_nil => true, :message => :invalid
   validates_length_of :comments, :maximum => 255, :allow_nil => true
 
   def after_initialize
Index: sandbox/rails-2.2/app/models/version.rb
===================================================================
--- sandbox/rails-2.2/app/models/version.rb	(revision 2394)
+++ sandbox/rails-2.2/app/models/version.rb	(revision 2395)
@@ -25,7 +25,7 @@
   validates_presence_of :name
   validates_uniqueness_of :name, :scope => [:project_id]
   validates_length_of :name, :maximum => 60
-  validates_format_of :effective_date, :with => /^\d{4}-\d{2}-\d{2}$/, :message => 'activerecord_error_not_a_date', :allow_nil => true
+  validates_format_of :effective_date, :with => /^\d{4}-\d{2}-\d{2}$/, :message => :not_a_date, :allow_nil => true
   
   def start_date
     effective_date
Index: sandbox/rails-2.2/app/models/watcher.rb
===================================================================
--- sandbox/rails-2.2/app/models/watcher.rb	(revision 2394)
+++ sandbox/rails-2.2/app/models/watcher.rb	(revision 2395)
@@ -25,6 +25,6 @@
   protected
   
   def validate
-    errors.add :user_id, :activerecord_error_invalid unless user.nil? || user.active?
+    errors.add :user_id, :invalid unless user.nil? || user.active?
   end
 end
Index: sandbox/rails-2.2/test/functional/issues_controller_test.rb
===================================================================
--- sandbox/rails-2.2/test/functional/issues_controller_test.rb	(revision 2394)
+++ sandbox/rails-2.2/test/functional/issues_controller_test.rb	(revision 2395)
@@ -445,7 +445,7 @@
     assert_template 'new'
     issue = assigns(:issue)
     assert_not_nil issue
-    assert_equal 'activerecord_error_invalid', issue.errors.on(:custom_values)
+    assert_equal I18n.translate('activerecord.errors.messages.invalid'), issue.errors.on(:custom_values)
   end
   
   def test_post_new_with_watchers
Index: sandbox/rails-2.2/test/unit/version_test.rb
===================================================================
--- sandbox/rails-2.2/test/unit/version_test.rb	(revision 2394)
+++ sandbox/rails-2.2/test/unit/version_test.rb	(revision 2395)
@@ -31,7 +31,7 @@
   def test_invalid_effective_date_validation
     v = Version.new(:project => Project.find(1), :name => '1.1', :effective_date => '99999-01-01')
     assert !v.save
-    assert_equal 'activerecord_error_not_a_date', v.errors.on(:effective_date)
+    assert_equal I18n.translate('activerecord.errors.messages.not_a_date'), v.errors.on(:effective_date)
   end
   
   def test_progress_should_be_0_with_no_assigned_issues